fop 1.1

## org.apache.fop.render.rtf.rtflib.exceptions
Class RtfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.fop.render.rtf.rtflib.exceptions.RtfException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RtfStructureException

    public class RtfException

extends java.io.IOException

Base class for rtflib exceptions.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

See Also:
  Serialized Form

Constructor Summary
`RtfException(java.lang.String reason)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RtfException

    public RtfException(java.lang.String reason)

Parameters:
  `reason` - Description of reason for Exception.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.